In order to take advantage of the new calendar event integration, you'll need to make sure your version of web services is 1.4.15208.2 or higher.

Details are available on this feature in the Release Notes:
August 2015 Release to The Raiser’s Edge® and Luminate Online™ Integration
http://www.blackbaudknowhow.com/the-raisers-edge/august-2015-release-to-the-raisers-edge-and-luminate-online-integration.htm

This article outlines how to update your web services:
How to Install or Update the Luminate Online Marketing Plug-in and/or Blackbaud Web Services for The Raiser?s Edge
https://kb.blackbaud.com/articles/Article/66545